org.bouncycastle.asn1.x509.qualified

## Class BiometricData

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.x509.qualified.BiometricData

All Implemented Interfaces:
  DEREncodable

    public class BiometricData
    extends ASN1Encodable

The BiometricData object.

     BiometricData  ::=  SEQUENCE {
           typeOfBiometricData  TypeOfBiometricData,
           hashAlgorithm        AlgorithmIdentifier,
           biometricDataHash    OCTET STRING,
           sourceDataUri        IA5String OPTIONAL  }

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`BiometricData(ASN1Sequence seq)`
`BiometricData(TypeOfBiometricData typeOfBiometricData, AlgorithmIdentifier hashAlgorithm, ASN1OctetString biometricDataHash)`
`BiometricData(TypeOfBiometricData typeOfBiometricData, AlgorithmIdentifier hashAlgorithm, ASN1OctetString biometricDataHash, DERIA5String sourceDataUri)`

### Method Summary

Methods
`ASN1OctetString` `getBiometricDataHash()`
`AlgorithmIdentifier` `getHashAlgorithm()`
`static BiometricData` `getInstance(java.lang.Object obj)`
`DERIA5String` `getSourceDataUri()`
`TypeOfBiometricData` `getTypeOfBiometricData()`
`DERObject` `toASN1Object()`

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BiometricData

    public BiometricData(ASN1Sequence seq)

#### BiometricData

    public BiometricData(TypeOfBiometricData typeOfBiometricData,
                 AlgorithmIdentifier hashAlgorithm,
                 ASN1OctetString biometricDataHash,
                 DERIA5String sourceDataUri)

#### BiometricData

    public BiometricData(TypeOfBiometricData typeOfBiometricData,
                 AlgorithmIdentifier hashAlgorithm,
                 ASN1OctetString biometricDataHash)

### Method Detail

#### getInstance

    public static BiometricData getInstance(java.lang.Object obj)

#### getTypeOfBiometricData

    public TypeOfBiometricData getTypeOfBiometricData()

#### getHashAlgorithm

    public AlgorithmIdentifier getHashAlgorithm()

#### getBiometricDataHash

    public ASN1OctetString getBiometricDataHash()

#### getSourceDataUri

    public DERIA5String getSourceDataUri()

#### toASN1Object

    public DERObject toASN1Object()

Specified by:
  `toASN1Object` in class `ASN1Encodable`